For the complete documentation index, see llms.txt. This page is also available as Markdown.

Connections

get

Retrieves connections between specified chains and tokens.

Query parameters
fromChainstringRequired
  • The source blockchain identifier.
toChainstringRequired
  • The destination blockchain identifier.
fromTokenstringRequired
  • The source token identifier.
toTokenstringRequired
  • The destination token identifier.
chainTypesstringOptional
  • Optional parameter to specify types of chains.
Responses
200

A promise that resolves to an ApiResponse containing the connections response.

application/json

Represents a standard API response.

successbooleanRequired
messagestringRequired
get/lifi/connections
GET /lifi/connections?fromChain=text&toChain=text&fromToken=text&toToken=text HTTP/1.1
Host: beta.usemoon.ai/
Accept: */*
200

A promise that resolves to an ApiResponse containing the connections response.

{
  "success": true,
  "message": "text",
  "data": {
    "connections": [
      {
        "fromChainId": 1,
        "toChainId": 1,
        "fromTokens": [
          {
            "name": "text",
            "address": "text",
            "symbol": "text",
            "decimals": 1,
            "logoURI": "text",
            "chainId": 1
          }
        ],
        "toTokens": [
          {
            "name": "text",
            "address": "text",
            "symbol": "text",
            "decimals": 1,
            "logoURI": "text",
            "chainId": 1
          }
        ]
      }
    ]
  }
}